Description

I just posted another feature request in ticket 1122, which provides a bit of background on the use of qgis for creation and editing of data

that employs shared polygon topology.

In these circumstances qgis works great to create the polygon data. One simply needs to create a large vector of the entire extent of the

area of interest and then use the 'Split Features' tool to cut up the one large polygon into individual vectors ( THANKS to whomever

created the split features tool!)

However, qgis would benefit in its ability to modify polygon data with adjacent vertices by the addition of the ability to edit shared vertices.

 Mapwindow's default shapefile editor works like this whereby it automatically treats shared vertices between adjacent polygons as the

same node (must be some min tolerance setting to assume 'sharedness'), thus when the user selects a shared vertice and moves the

location both boundaries of each polygon are effectively edited. This is incredibly important for maintaining correct topology of polygon

data.

I'm sure my terminology here can be improved so I would be glad to resubmit this ticket with modifications to the wording, just let me

know.

History

#1 - 2008-11-12 01:15 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Hi springmeyer

This is already possible. Just go to Settings -> Project properties -> General (Tab) -> Digitizing (group box) and check the option 'Enable topological

editing'. Now QGIS should behave as you described.

Marco

#2 - 2008-11-12 08:20 AM - springmeyer -

WOW. It sure does. I confirmed the topological editing in the Mac 1.0 preview.

Thanks mhugent!!!

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
